OESF | ELSI | pdaXrom | OpenZaurus | Zaurus Themes | Community Links | Ibiblio

IPB

Welcome Guest ( Log In | Register )

 
Reply to this topicStart new topic
> Abiword...
rohanoberoi
post Aug 3 2007, 12:24 AM
Post #1





Group: Members
Posts: 22
Joined: 30-December 04
Member No.: 6,065



I naively thought it should be possible to use Abiword on the Zaurus to edit ODT files. Apparently it is not.

- Cacko only supports Abiword 2.0.0, which does not do ODT.

- Angstrom appears to have Abiword 2.4.5, but is unusable for non-expert users (just tried to install Angstrom on my C1000 this morning and failed miserably).

If anyone knows of any way to get Abiword/ODT working, do let me know.

Thanks
Go to the top of the page
 
+Quote Post
rohanoberoi
post Aug 3 2007, 12:41 AM
Post #2





Group: Members
Posts: 22
Joined: 30-December 04
Member No.: 6,065



Even worse - on Cacko, downloaded from Meanie's site the following two IPKs (ie. from http://zaurus.daemons.gr/menaie/feed/)

abiword_2.0.0_armv5tel.ipk
libglade_2.0.1-1_armv5tel.ipk

Doesn't work. After "ipkg install" on the two above, running "abiword" throws an error loading libglade-2.0.so.0. No link appears in the Applications folder either.

I'm assuming I have the wrong IPKs for Cacko. Thanks to anyone who can point me to the right ones. I can understand Abiword/ODT not working on the Zaurus, but at least Abiword alone should work.
Go to the top of the page
 
+Quote Post
dlj0
post Aug 3 2007, 09:45 AM
Post #3





Group: Members
Posts: 219
Joined: 3-March 06
Member No.: 9,282



QUOTE(rohanoberoi @ Aug 3 2007, 04:24 AM)
I naively thought it should be possible to use Abiword on the Zaurus to edit ODT files.  Apparently it is not.

- Cacko only supports Abiword 2.0.0, which does not do ODT.

- Angstrom appears to have Abiword 2.4.5, but is unusable for non-expert users (just tried to install Angstrom on my C1000 this morning and failed miserably).

*


I wonder what the problem with installing Angstrom was, really. Restore the rom to as close as possible to the initial condition, with Sharp rom that you can get on-line (forgot the site, but it's in the Wiki I think), and it should install. I had very little trouble on my 3100, and that is compared to two days of head-bashing with a pdaXrom upgrade.

The version of Abiword on my Z is 2.5. There is a plugin for opendocument, which is what I guess you need.
Go to the top of the page
 
+Quote Post
boardboyd
post Aug 3 2007, 11:38 AM
Post #4





Group: Members
Posts: 50
Joined: 19-November 04
Member No.: 5,523



QUOTE(rohanoberoi @ Aug 3 2007, 08:41 AM)
Even worse - on Cacko, downloaded from Meanie's site the following two IPKs (ie. from http://zaurus.daemons.gr/menaie/feed/)

abiword_2.0.0_armv5tel.ipk
libglade_2.0.1-1_armv5tel.ipk


I think those are for pdaxQTrom or whatever that is called, you have to install the pdaxQT base files and basically have pdaxrom run under QT to get abiword to work. Or at least that's why I think you are having problems with it not starting.
Go to the top of the page
 
+Quote Post
Meanie
post Aug 10 2007, 07:02 PM
Post #5





Group: Members
Posts: 2,808
Joined: 21-March 05
From: Sydney, Australia
Member No.: 6,686



QUOTE(boardboyd @ Aug 4 2007, 05:38 AM)
QUOTE(rohanoberoi @ Aug 3 2007, 08:41 AM)
Even worse - on Cacko, downloaded from Meanie's site the following two IPKs (ie. from http://zaurus.daemons.gr/menaie/feed/)

abiword_2.0.0_armv5tel.ipk
libglade_2.0.1-1_armv5tel.ipk


I think those are for pdaxQTrom or whatever that is called, you have to install the pdaxQT base files and basically have pdaxrom run under QT to get abiword to work. Or at least that's why I think you are having problems with it not starting.
*



Abiword is a X11 application and requires a X server. Under Cacko, such a beast is available as X/Qt which requires you to install one or two dozen ipks and then tweak the configs to make it work. I made a X/Qt jumbo pack to simplify the X/Qt install and config. In addition, I also made a more advanced X/Qt environment which looks more like pdaXrom and has many of the pdaXrom apps prebuild to work under Cacko/Sharp ROM's X/Qt subsystem. I called this beast pdaXqtrom.
As for Abiword, you need the opendoc plugin in order to open odt files. I compiled the staroffice plugin to open swx files but that was before the odt plugin was available.
Meanwhile I have moved to using pdaXrom, in particular my customised version called pdaXii13 which has abiword and odt plugin...
Go to the top of the page
 
+Quote Post

Reply to this topicStart new topic
1 User(s) are reading this topic (1 Guests and 0 Anonymous Users)
0 Members:

 



RSS Lo-Fi Version Time is now: 30th October 2014 - 05:00 AM